[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# assign(Tvector2_single):Tvector4_double

Allow assignment of two-dimensional single precision vector to four-dimensional double precision vector

## Declaration

Source position: matrix.pp line 289

`operator operator :=(`
`const v: Tvector2_single`
`):Tvector4_double;`

## Description

This operator allows you to use a two-dimensional vector with single precision values wherever a four-dimensional vector with double precision is expected. The third and fourth dimensions are set to 0.0.